## org.apache.cassandra.db.compaction
Class AbstractCompactionIterable

    java.lang.Object
      org.apache.cassandra.db.compaction.CompactionInfo.Holder
          org.apache.cassandra.db.compaction.AbstractCompactionIterable

All Implemented Interfaces:
  java.lang.Iterable<AbstractCompactedRow>

Direct Known Subclasses:
  CompactionIterable, ParallelCompactionIterable

    public abstract class AbstractCompactionIterable

extends CompactionInfo.Holder
implements java.lang.Iterable<AbstractCompactedRow>

Field Summary
`protected long` `bytesRead`
`protected CompactionController` `controller`
`protected java.util.List<ICompactionScanner>` `scanners`
`protected long` `totalBytes`
`protected OperationType` `type`

Constructor Summary
`AbstractCompactionIterable(CompactionController controller, OperationType type, java.util.List<ICompactionScanner> scanners)`

Method Summary
`CompactionInfo` `getCompactionInfo()`
`abstract CloseableIterator<AbstractCompactedRow>` `iterator()`

Methods inherited from class org.apache.cassandra.db.compaction.CompactionInfo.Holder
`isStopRequested, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    protected final OperationType type

### controller

    protected final CompactionController controller

### totalBytes

    protected final long totalBytes

### bytesRead

    protected volatile long bytesRead

### scanners

    protected final java.util.List<ICompactionScanner> scanners

Constructor Detail

### AbstractCompactionIterable

    public AbstractCompactionIterable(CompactionController controller,
                                      OperationType type,
                                      java.util.List<ICompactionScanner> scanners)

Method Detail

### getCompactionInfo

    public CompactionInfo getCompactionInfo()

  Specified by:
    `getCompactionInfo` in class `CompactionInfo.Holder`

### iterator

    public abstract CloseableIterator<AbstractCompactedRow> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<AbstractCompactedRow>`

Copyright © 2013 The Apache Software Foundation